package yoonforh.bbs;

/**
 * EditResult Servlet
 * Copyright (c) 1997 Yoon Kyung Koo. All rights reserved.
 *
 * contact via yoonforh@moon.daewoo.co.kr
 *
 * first release date 1997/10/07
 * @version 1.01a 1998/04/27
 * @author Yoon Kyung Koo
 */


import java.io.*;
import java.util.*;

import javax.servlet.*;
import javax.servlet.http.*;

public class EditResultServlet 
		extends HttpServlet {

	public void doPost (HttpServletRequest req, HttpServletResponse res)
		throws ServletException, IOException
	{
        //value chosen to limit denial of service
        if (req.getContentLength() > 12*1024) {  
	    res.setContentType("text/html");
            ServletOutputStream out = res.getOutputStream();
	    out.println("<html><head><title>Too big</title></head>");
	    out.println("<body><h1>Error - content length &gt;8k not ");
	    out.println("</h1></body></html>");
        } else {
	    doGet(req, res);
        }
    }
    
    public void doGet (HttpServletRequest req, HttpServletResponse res)
	throws ServletException, IOException
    {
		res.setContentType("text/html");
		ServletOutputStream out = res.getOutputStream();
		String category=req.getParameter("cate");

		BBSData data=BBSUtil.getGetDataForUpdate(req);

		BBSUtil.printEditHeader(out, data.articleNo);
		BBSUtil.printEditResult(out, category, data);
		BBSUtil.printEditFooter(out, category, data.articleNo);
    }

    public String getServletInfo() {
		return "A servlet that shows the requested article on the web board";
    }
}
